<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>a2s &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>a2s
      <small>Function</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.0% of total for procedures.">7 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/mstrings.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/mstrings.f03.html'>mstrings.f03</a></li>
    
     <li><a href='../module/m_strings.html'>M_strings</a></li>
    
  
     <li class="active">a2s</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
private pure function a2s(array) result(string)
    
    
   
</h2>
    
  


    
    <h2>NAME</h2>
<div class="codehilite"><pre><span></span><code>switch(3f) - [M_strings:ARRAY] converts between CHARACTER scalar and array of single characters
</code></pre></div>

<h2>SYNOPSIS</h2>
<div class="codehilite"><pre><span></span><code>pure function switch(array) result (string)

 character(len=1),intent(in) :: array(:)
 character(len=SIZE(array))  :: string

  or

pure function switch(string) result (array)

 character(len=1),intent(in) :: array(:)
 character(len=SIZE(array))  :: string
</code></pre></div>

<h2>DESCRIPTION</h2>
<div class="codehilite"><pre><span></span><code>SWITCH(3f): generic function that switches CHARACTER string to an array
of single characters or an array of single characters to a CHARACTER
string. Useful in passing strings to C. New Fortran features may
supersede these routines.
</code></pre></div>

<h2>EXAMPLES</h2>
<p>Sample program:</p>
<div class="codehilite"><pre><span></span><code><span class="nv">program</span> <span class="nv">demo_switch</span>
<span class="nv">use</span> <span class="nv">M_strings</span>, <span class="nv">only</span> : <span class="nv">switch</span>, <span class="nv">isalpha</span>, <span class="nv">islower</span>, <span class="nv">nospace</span>
<span class="nv">character</span><span class="ss">(</span><span class="nv">len</span><span class="o">=*</span><span class="ss">)</span>,<span class="nv">parameter</span> :: <span class="nv">dashes</span><span class="o">=</span><span class="s1">&#39;</span><span class="s">-----------------------------------</span><span class="s1">&#39;</span>
<span class="nv">character</span><span class="ss">(</span><span class="nv">len</span><span class="o">=*</span><span class="ss">)</span>,<span class="nv">parameter</span> :: <span class="nv">string</span><span class="o">=</span><span class="s1">&#39;</span><span class="s">This is a string of letters</span><span class="s1">&#39;</span>
<span class="nv">character</span><span class="ss">(</span><span class="nv">len</span><span class="o">=</span><span class="mi">1024</span><span class="ss">)</span>        :: <span class="nv">line</span>

<span class="o">!</span> <span class="nv">First</span>, <span class="nv">examples</span> <span class="nv">of</span> <span class="nv">standard</span> <span class="nv">Fortran</span> <span class="nv">features</span>
<span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span>[<span class="s1">&#39;</span><span class="s">A</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">=</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">=</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">=</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">=</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">=</span><span class="s1">&#39;</span>].<span class="nv">eq</span>.<span class="s1">&#39;</span><span class="s">=</span><span class="s1">&#39;</span>      <span class="o">!</span> <span class="nv">returns</span> <span class="nv">array</span> [<span class="nv">F</span>,<span class="nv">T</span>,<span class="nv">T</span>,<span class="nv">T</span>,<span class="nv">T</span>,<span class="nv">T</span>]
<span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="nv">all</span><span class="ss">(</span>[<span class="s1">&#39;</span><span class="s">=</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">=</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">=</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">=</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">=</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">=</span><span class="s1">&#39;</span>].<span class="nv">eq</span>.<span class="s1">&#39;</span><span class="s">=</span><span class="s1">&#39;</span><span class="ss">)</span> <span class="o">!</span> <span class="nv">this</span> <span class="nv">would</span> <span class="k">return</span> <span class="nv">T</span>
<span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="nv">all</span><span class="ss">(</span>[<span class="s1">&#39;</span><span class="s">A</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">=</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">=</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">=</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">=</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">=</span><span class="s1">&#39;</span>].<span class="nv">eq</span>.<span class="s1">&#39;</span><span class="s">=</span><span class="s1">&#39;</span><span class="ss">)</span> <span class="o">!</span> <span class="nv">this</span> <span class="nv">would</span> <span class="k">return</span> <span class="nv">F</span>

<span class="o">!</span> <span class="nv">so</span> <span class="nv">to</span> <span class="nv">test</span> <span class="k">if</span> <span class="nv">the</span> <span class="nv">string</span> <span class="nv">DASHES</span> <span class="nv">is</span> <span class="nv">all</span> <span class="nv">dashes</span> <span class="nv">using</span> <span class="nv">SWITCH</span><span class="ss">(</span><span class="mi">3</span><span class="nv">f</span><span class="ss">)</span> <span class="nv">is</span>
<span class="k">if</span><span class="ss">(</span><span class="nv">all</span><span class="ss">(</span><span class="nv">switch</span><span class="ss">(</span><span class="nv">dashes</span><span class="ss">)</span>.<span class="nv">eq</span>.<span class="s1">&#39;</span><span class="s">-</span><span class="s1">&#39;</span><span class="ss">))</span><span class="k">then</span>
   <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="s1">&#39;</span><span class="s">DASHES is all dashes</span><span class="s1">&#39;</span>
<span class="k">endif</span>

<span class="o">!</span> <span class="nv">so</span> <span class="nv">to</span> <span class="nv">test</span> <span class="nv">is</span> <span class="nv">a</span> <span class="nv">string</span> <span class="nv">is</span> <span class="nv">all</span> <span class="nv">letters</span>
<span class="o">!</span> <span class="nv">isalpha</span><span class="ss">(</span><span class="mi">3</span><span class="nv">f</span><span class="ss">)</span> <span class="nv">returns</span> .<span class="nv">true</span>. <span class="nv">only</span> <span class="k">if</span> <span class="nv">character</span> <span class="nv">is</span> <span class="nv">a</span> <span class="nv">letter</span>
<span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span> <span class="nv">all</span><span class="ss">(</span><span class="nv">isalpha</span><span class="ss">(</span><span class="nv">switch</span><span class="ss">(</span><span class="nv">dashes</span><span class="ss">)))</span>  <span class="o">!</span> <span class="nv">false</span> <span class="nv">because</span> <span class="nv">dashes</span> <span class="nv">are</span> <span class="nv">not</span> <span class="nv">a</span> <span class="nv">letter</span>
<span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span> <span class="nv">all</span><span class="ss">(</span><span class="nv">isalpha</span><span class="ss">(</span><span class="nv">switch</span><span class="ss">(</span><span class="nv">string</span><span class="ss">)))</span>  <span class="o">!</span> <span class="nv">false</span> <span class="nv">because</span> <span class="nv">of</span> <span class="nv">spaces</span>
<span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span> <span class="nv">all</span><span class="ss">(</span><span class="nv">isalpha</span><span class="ss">(</span><span class="nv">switch</span><span class="ss">(</span><span class="nv">nospace</span><span class="ss">(</span><span class="nv">string</span><span class="ss">))))</span>  <span class="o">!</span> <span class="nv">true</span> <span class="nv">because</span> <span class="nv">removed</span> <span class="nv">whitespace</span>

<span class="o">!</span> <span class="nv">to</span> <span class="nv">see</span> <span class="k">if</span> <span class="nv">a</span> <span class="nv">string</span> <span class="nv">is</span> <span class="nv">all</span> <span class="nv">uppercase</span>
<span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span> <span class="nv">string</span>                           <span class="o">!</span> <span class="k">show</span> <span class="nv">the</span> <span class="nv">string</span>
<span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="s1">&#39;</span><span class="s">(1x,*(&quot;[&quot;,a,&quot;]&quot;:))</span><span class="s1">&#39;</span><span class="ss">)</span> <span class="nv">switch</span><span class="ss">(</span><span class="nv">string</span><span class="ss">)</span>   <span class="o">!</span> <span class="nv">converted</span> <span class="nv">to</span> <span class="nv">character</span> <span class="nv">array</span>
<span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="s1">&#39;</span><span class="s">(*(l3))</span><span class="s1">&#39;</span><span class="ss">)</span> <span class="nv">islower</span><span class="ss">(</span><span class="nv">switch</span><span class="ss">(</span><span class="nv">string</span><span class="ss">))</span>

<span class="nv">line</span><span class="o">=</span><span class="nv">nospace</span><span class="ss">(</span><span class="nv">string</span><span class="ss">)</span>                        <span class="o">!</span> <span class="nv">we</span> <span class="nv">need</span> <span class="nv">a</span> <span class="nv">string</span> <span class="nv">that</span> <span class="nv">is</span> <span class="nv">all</span> <span class="nv">letters</span>
<span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="s1">&#39;</span><span class="s">LINE=</span><span class="s1">&#39;</span>,<span class="nv">trim</span><span class="ss">(</span><span class="nv">line</span><span class="ss">)</span>
<span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span> <span class="nv">islower</span><span class="ss">(</span><span class="nv">switch</span><span class="ss">(</span><span class="nv">nospace</span><span class="ss">(</span><span class="nv">string</span><span class="ss">)))</span> <span class="o">!</span> <span class="nv">all</span> <span class="nv">true</span> <span class="nv">except</span> <span class="nv">first</span> <span class="nv">character</span>
<span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span> <span class="nv">all</span><span class="ss">(</span><span class="nv">islower</span><span class="ss">(</span><span class="nv">switch</span><span class="ss">(</span><span class="nv">nospace</span><span class="ss">(</span><span class="nv">string</span><span class="ss">))))</span>      <span class="o">!</span> <span class="nv">should</span> <span class="nv">be</span> <span class="nv">false</span>
<span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span> <span class="nv">all</span><span class="ss">(</span><span class="nv">islower</span><span class="ss">(</span><span class="nv">switch</span><span class="ss">(</span><span class="nv">nospace</span><span class="ss">(</span><span class="nv">string</span><span class="ss">(</span><span class="mi">2</span>:<span class="ss">)))))</span>  <span class="o">!</span> <span class="nv">should</span> <span class="nv">be</span> <span class="nv">true</span>

<span class="k">end</span> <span class="nv">program</span> <span class="nv">demo_switch</span>
</code></pre></div>

<p>Expected output</p>
<div class="codehilite"><pre><span></span><code><span class="o">&gt;</span><span class="w">  </span><span class="n">F</span><span class="w"> </span><span class="n">T</span><span class="w"> </span><span class="n">T</span><span class="w"> </span><span class="n">T</span><span class="w"> </span><span class="n">T</span><span class="w"> </span><span class="n">T</span><span class="w"></span>
<span class="o">&gt;</span><span class="w">  </span><span class="n">T</span><span class="w"></span>
<span class="o">&gt;</span><span class="w">  </span><span class="n">F</span><span class="w"></span>
<span class="o">&gt;</span><span class="w">  </span><span class="n">DASHES</span><span class="w"> </span><span class="k">is</span><span class="w"> </span><span class="ow">all</span><span class="w"> </span><span class="n">dashes</span><span class="w"></span>
<span class="o">&gt;</span><span class="w">  </span><span class="n">F</span><span class="w"></span>
<span class="o">&gt;</span><span class="w">  </span><span class="n">F</span><span class="w"></span>
<span class="o">&gt;</span><span class="w">  </span><span class="n">T</span><span class="w"></span>
<span class="o">&gt;</span><span class="w">  </span><span class="n">This</span><span class="w"> </span><span class="k">is</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">string</span><span class="w"> </span><span class="k">of</span><span class="w"> </span><span class="n">letters</span><span class="w"></span>
<span class="o">&gt;</span><span class="w">  </span><span class="o">[</span><span class="n">T</span><span class="o">][</span><span class="n">h</span><span class="o">][</span><span class="n">i</span><span class="o">][</span><span class="n">s</span><span class="o">][</span><span class="n"> </span><span class="o">][</span><span class="n">i</span><span class="o">][</span><span class="n">s</span><span class="o">][</span><span class="n"> </span><span class="o">][</span><span class="n">a</span><span class="o">][</span><span class="n"> </span><span class="o">][</span><span class="n">s</span><span class="o">][</span><span class="n">t</span><span class="o">][</span><span class="n">r</span><span class="o">][</span><span class="n">i</span><span class="o">][</span><span class="n">n</span><span class="o">][</span><span class="n">g</span><span class="o">][</span><span class="n"> </span><span class="o">][</span><span class="n">o</span><span class="o">][</span><span class="n">f</span><span class="o">][</span><span class="n"> </span><span class="o">][</span><span class="n">l</span><span class="o">][</span><span class="n">e</span><span class="o">][</span><span class="n">t</span><span class="o">][</span><span class="n">t</span><span class="o">][</span><span class="n">e</span><span class="o">][</span><span class="n">r</span><span class="o">][</span><span class="n">s</span><span class="o">]</span><span class="w"></span>
<span class="o">&gt;</span><span class="w">   </span><span class="n">F</span><span class="w">  </span><span class="n">T</span><span class="w">  </span><span class="n">T</span><span class="w">  </span><span class="n">T</span><span class="w">  </span><span class="n">F</span><span class="w">  </span><span class="n">T</span><span class="w">  </span><span class="n">T</span><span class="w">  </span><span class="n">F</span><span class="w">  </span><span class="n">T</span><span class="w">  </span><span class="n">F</span><span class="w">  </span><span class="n">T</span><span class="w">  </span><span class="n">T</span><span class="w">  </span><span class="n">T</span><span class="w">  </span><span class="n">T</span><span class="w">  </span><span class="n">T</span><span class="w">  </span><span class="n">T</span><span class="w">  </span><span class="n">F</span><span class="w">  </span><span class="n">T</span><span class="w">  </span><span class="n">T</span><span class="w">  </span><span class="n">F</span><span class="w">  </span><span class="n">T</span><span class="w">  </span><span class="n">T</span><span class="w">  </span><span class="n">T</span><span class="w">  </span><span class="n">T</span><span class="w">  </span><span class="n">T</span><span class="w">  </span><span class="n">T</span><span class="w">  </span><span class="n">T</span><span class="w"></span>
<span class="o">&gt;</span><span class="w">  </span><span class="n">LINE</span><span class="o">=</span><span class="n">Thisisastringofletters</span><span class="w"></span>
<span class="o">&gt;</span><span class="w">  </span><span class="n">F</span><span class="w"> </span><span class="n">T</span><span class="w"> </span><span class="n">T</span><span class="w"> </span><span class="n">T</span><span class="w"> </span><span class="n">T</span><span class="w"> </span><span class="n">T</span><span class="w"> </span><span class="n">T</span><span class="w"> </span><span class="n">T</span><span class="w"> </span><span class="n">T</span><span class="w"> </span><span class="n">T</span><span class="w"> </span><span class="n">T</span><span class="w"> </span><span class="n">T</span><span class="w"> </span><span class="n">T</span><span class="w"> </span><span class="n">T</span><span class="w"> </span><span class="n">T</span><span class="w"> </span><span class="n">T</span><span class="w"> </span><span class="n">T</span><span class="w"> </span><span class="n">T</span><span class="w"> </span><span class="n">T</span><span class="w"> </span><span class="n">T</span><span class="w"> </span><span class="n">T</span><span class="w"> </span><span class="n">T</span><span class="w"></span>
<span class="o">&gt;</span><span class="w">  </span><span class="n">F</span><span class="w"></span>
<span class="o">&gt;</span><span class="w">  </span><span class="n">T</span><span class="w"></span>
</code></pre></div>
    

    <h3>Arguments</h3>
    
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-array"></span>character(len=1),</td>
  <td>intent(in)</td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>array</strong>(:)</td><td></td>
  
</tr>

</tbody>
</table>

    
    
    
    
    
    
    
   <h3>Return Value <small><span class="anchor" id="variable-string%7E7"></span>character(len=SIZE)
  </small></h3>
    
    
    
    <br>
    
    
     
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Called by</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~a2s~~CalledByGraph Pages: 1 -->
<svg id="proca2sCalledByGraph" width="246pt" height="32pt"
 viewBox="0.00 0.00 246.00 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~a2s~~CalledByGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>proc~~a2s~~CalledByGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 242,-28 242,4 -4,4"/>
<!-- proc~a2s -->
<g id="proc~~a2s~~CalledByGraph_node1" class="node">
<title>proc~a2s</title>
<polygon fill="none" stroke="#000000" points="238,-24 184,-24 184,0 238,0 238,-24"/>
<text text-anchor="middle" x="211" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">a2s</text>
</g>
<!-- interface~switch -->
<g id="proc~~a2s~~CalledByGraph_node2" class="node">
<title>interface~switch</title>
<g id="a_proc~~a2s~~CalledByGraph_node2"><a xlink:href=".././interface/switch.html" xlink:title="switch">
<polygon fill="#a7506f" stroke="#a7506f" points="148,-24 94,-24 94,0 148,0 148,-24"/>
<text text-anchor="middle" x="121" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">switch</text>
</a>
</g>
</g>
<!-- interface~switch&#45;&gt;proc~a2s -->
<g id="proc~~a2s~~CalledByGraph_edge1" class="edge">
<title>interface~switch&#45;&gt;proc~a2s</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M148.003,-12C156.0277,-12 164.9665,-12 173.5309,-12"/>
<polygon fill="#000000" stroke="#000000" points="173.7051,-15.5001 183.705,-12 173.705,-8.5001 173.7051,-15.5001"/>
</g>
<!-- proc~isnumber -->
<g id="proc~~a2s~~CalledByGraph_node3" class="node">
<title>proc~isnumber</title>
<g id="a_proc~~a2s~~CalledByGraph_node3"><a xlink:href=".././proc/isnumber.html" xlink:title="isNumber">
<polygon fill="#d94e8f" stroke="#d94e8f" points="58,-24 0,-24 0,0 58,0 58,-24"/>
<text text-anchor="middle" x="29" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">isNumber</text>
</a>
</g>
</g>
<!-- proc~isnumber&#45;&gt;interface~switch -->
<g id="proc~~a2s~~CalledByGraph_edge2" class="edge">
<title>proc~isnumber&#45;&gt;interface~switch</title>
<path fill="none" stroke="#000000" d="M58.1094,-12C66.2682,-12 75.2502,-12 83.8095,-12"/>
<polygon fill="#000000" stroke="#000000" points="83.9566,-15.5001 93.9566,-12 83.9566,-8.5001 83.9566,-15.5001"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>